[@bigcommerce/checkout-sdk](../README.md) / HostedFieldStylesMap

# Interface: HostedFieldStylesMap

## Table of contents

### Properties

- [default](HostedFieldStylesMap.md#default)
- [error](HostedFieldStylesMap.md#error)
- [focus](HostedFieldStylesMap.md#focus)

## Properties

### default

• `Optional` **default**: `Partial`\<`Pick`\<`CSSStyleDeclaration`, ``"color"`` \| ``"fontFamily"`` \| ``"fontSize"`` \| ``"fontWeight"``\>\>

___

### error

• `Optional` **error**: `Partial`\<`Pick`\<`CSSStyleDeclaration`, ``"color"`` \| ``"fontFamily"`` \| ``"fontSize"`` \| ``"fontWeight"``\>\>

___

### focus

• `Optional` **focus**: `Partial`\<`Pick`\<`CSSStyleDeclaration`, ``"color"`` \| ``"fontFamily"`` \| ``"fontSize"`` \| ``"fontWeight"``\>\>
